Skip to main content
GET
Which widgets were viewed the most

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

partnerId
string<uuid>
required

The partner whose widgets to report on

Query Parameters

startDate
string

Start of the period, included. An ISO 8601 date (2026-10-01) or date-time with its offset. Default 30 days before endDate.

endDate
string

End of the period, not included, in the same forms. Default now. At most 366 days after startDate.

managedUserId
string<uuid>

Report only on this managed user (Widgetic's id for the user). Send this or managedUserExternalId, not both.

managedUserExternalId
string

Report only on the managed user you registered with this externalId. Send this or managedUserId, not both.

Maximum string length: 255
limit
integer
default:10

How many widgets to list at most

Required range: 1 <= x <= 50

Response

The most viewed widgets in the period

success
boolean
required

Always true on a success.

Example:

true

data
object
required

The widgets whose compositions were viewed the most in a period, the most viewed first.

Example:
meta
object

Extra information about the answer: where a page sits in a list, the cursor of the next page, or warnings about a call that succeeded with a caveat.